Page MenuHomePhabricator

Messages containing a div.mw-parser-output get an extra Reply link
Closed, ResolvedPublic

Description

Signatures within a <div class="mw-parser-output"> (i.e. when a message is wrapped within such a div) get an extra Reply link added.

See https://nl.wikipedia.org/w/index.php?title=Overleg_gebruiker:Mar(c)&diff=51334385&dtenable=1 (the only 'live' [mass] message I could find that used such a div, naughty User:WMF Surveys)
See https://nl.wikipedia.beta.wmflabs.org/wiki/Overleg_gebruiker:Mar(c)#Test_section:_original_message (on beta; plus the section above it for some more div nesting testing)

Event Timeline

Marc created this task.Jun 8 2020, 7:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2020, 7:40 PM
Marc triaged this task as Lowest priority.Jun 8 2020, 7:42 PM
Marc added a subscriber: ppelberg.

Change 607619 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/DiscussionTools@master] Another attempt to fix page re-initialization after updating

https://gerrit.wikimedia.org/r/607619

Change 607619 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Another attempt to fix page re-initialization after updating

https://gerrit.wikimedia.org/r/607619

Esanders assigned this task to matmarex.Jun 24 2020, 9:50 PM
Esanders moved this task from Code Review to QA on the Editing-team (Q3 2019-2020 Kanban Board) board.
ppelberg edited projects, added Skipped QA; removed Editing QA.Jun 30 2020, 6:01 PM
Tacsipacsi updated the task description. (Show Details)Jun 30 2020, 7:23 PM
Tacsipacsi added a subscriber: Tacsipacsi.
ppelberg closed this task as Resolved.Jul 9 2020, 2:41 AM